
Ruby - Feature #7508

Clean up some more calls to rb_intern()

12/04/2012 06:54 PM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Target version: 2.1.0   

Description

Related to #7495, I cleaned up a few more calls to rb_intern, replacing some with IDs defined in id.h, and others with IDs interned

once on initialization and then cached.

History

#1 - 12/21/2012 11:07 PM - usa (Usaku NAKAMURA)

- Category set to core

- Status changed from Open to Assigned

- Target version set to 2.0.0

- Assignee set to Anonymous

IMO, it's OK.

Does anyone have another opinion?

#2 - 12/28/2012 03:16 PM - Glass_saga (Masaki Matsushita)

- Tracker changed from Bug to Feature

#3 - 02/17/2013 02:40 PM - Anonymous

- Target version changed from 2.0.0 to 2.6

Whoops I forgot about this ticket.

I'll commit it soon.

#4 - 02/17/2013 02:50 PM - ko1 (Koichi Sasada)

- Target version changed from 2.6 to 2.1.0

I have an opinion.

I want to move all static IDs move to defs/id.def.  I have no objection with this patch. But all of replace can be replaced after that.

What do you think about?

#5 - 12/14/2013 11:41 AM - nobu (Nobuyoshi Nakada)

Why not idCmp and idPow in array.c?

#6 - 12/14/2013 02:17 PM - Anonymous

- Status changed from Assigned to Closed

nobu: I'll close this ticket - the patch is unlikely to still apply cleanly.

Files

clean_up_rb_interns.patch 16.1 KB 12/04/2012 Anonymous
